Version 4.0 Of Maps and Places SDKs For iOS Released

GMSPlaceField has been updated to an NS_OPTIONS enabling developers to use an array literal when combining fields.

Recently, Google released new versions of Maps and Places SDKs for iOS.
 
Well, with version 4.0, both SDKs now support apps for devices running a minimum version of iOS 10. The Places SDK also gets a bunch of improvements giving a more intuitive API and better support for Swift developers.
 
Source: Google
 
Google recommended adopting the latest version of SDKs, but if your use case requires you to support iOS 9, the company also continues to support Versions 3.x (Maps, Places) of its SDKs.
 
GMSPlaceField has been updated to an NS_OPTIONS enabling developers to use an array literal when combining fields which is a more familiar syntax in Swift.
 
You can install version 4.0 of the Maps and Places SDK for iOS via CocoaPods or Carthage. The company also recommended using Xcode 11.7 or later for new version of the SDK.
 
You can check out Swift and Objective-C samples here as well as the Maps for iOS Utility Library here.